## umbrello 25.08.1+p24.04+vstable+git20251001.1155

=== debian/changelog ===
umbrello (4:25.08.1+p24.04+vstable+git20251001.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:55:43 +0000

umbrello (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:28:17 +0000
