## umbrello 25.08.1+p24.04+vstable+git20251005.0105

=== debian/changelog ===
umbrello (4:25.08.1+p24.04+vstable+git20251005.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 01:06:04 +0000
