## umbrello 25.08.1-0zneon+24.04+noble+release+build30trisquel1

=== debian/changelog ===
umbrello (4:25.08.1-0zneon+24.04+noble+release+build30trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 13 Sep 2025 06:49:10 +0000

umbrello (4:25.08.1-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:42:17 +0000
