## umbrello 25.08.2+p24.04+vstable+git20251015.1426

=== debian/changelog ===
umbrello (4:25.08.2+p24.04+vstable+git20251015.1426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:26:07 +0000
