## umbrello 25.08.2+p24.04+vstable+git20251020.0623

=== debian/changelog ===
umbrello (4:25.08.2+p24.04+vstable+git20251020.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:23:44 +0000
