## umbrello 25.08.2+p24.04+vstable+git20251031.0931

=== debian/changelog ===
umbrello (4:25.08.2+p24.04+vstable+git20251031.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:31:59 +0000
