## umbrello 25.08.2-0zneon+24.04+noble+release+build32trisquel1

=== debian/changelog ===
umbrello (4:25.08.2-0zneon+24.04+noble+release+build32trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Oct 2025 12:52:52 +0000
