=== po/sv/docs/umbrello/apphelp/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/${CURRENT_LANG}/ SUBDIR apphelp )
