## umbrello 25.08.3+p24.04+vunstable+git20251204.0022

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
 cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)
 
-project(umbrello)
-
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
+
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(umbrello VERSION ${RELEASE_SERVICE_VERSION})
 
 set(UMBRELLO_VERSION_MAJOR ${RELEASE_SERVICE_VERSION_MAJOR})
 set(UMBRELLO_VERSION_MINOR ${RELEASE_SERVICE_VERSION_MINOR})
@@ -40,11 +42,19 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED YES)
 
-set(APP_SUFFIX 5)
-set(LIB_PREFIX Qt5::)
-set(KF5_MIN_VERSION "5.2.0")
+set(KF6_MIN_VERSION 6.1)
+set(KF5_MIN_VERSION 5.2.0)
+set(QT6_MIN_VERSION 6.7)
+set(QT5_MIN_VERSION 5.1.2)
+
+# adds option BUILD_WITH_QT6
+include(QtVersionOption)
+message(STATUS "Building with Qt${QT_MAJOR_VERSION}")
+set(KDE_COMPILERSETTINGS_LEVEL ${KDE${QT_MAJOR_VERSION}_MIN_LEVEL})
+
+set(APP_SUFFIX ${QT_MAJOR_VERSION})
 # we need some parts of the ECM CMake helpers
-find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
+find_package(ECM ${KF${QT_MAJOR_VERSION}_MIN_VERSION} NO_MODULE REQUIRED)
 
 list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,7 +67,6 @@
 include(ECMOptionalAddSubdirectory)
 include(ECMAddAppIcon)
 include(ECMAddTests)
-set(QT_MIN_VERSION "5.2.0")
 set(KDEV_MIN_VERSION 5.1.2)
 set(KDEV_SOURCE_DIR lib/kdev5-php)
 set(KDEV_COMPONENTS KDev::Interfaces KDev::Language KDev::Shell)
@@ -65,8 +74,13 @@
     set(QTQCHDIR ${KDE_INSTALL_QTQCHDIR})
 endif()
 
+# setup output directory for builds
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib) # .lib and .a
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib) # .so and .dylib
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin) # .exe and .dll
+
 # search packages used by Qt
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT${QT_MAJOR_VERSION}_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Gui
     PrintSupport
@@ -77,7 +91,7 @@
 )
 
 # search packages used by KDE
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} REQUIRED COMPONENTS
     Archive
     Completion
     Config
@@ -98,7 +112,12 @@
 endif()
 
 if(BUILD_PHP_IMPORT)
-    find_package(KDevelop-PG-Qt)
+    if(QT_MAJOR_VERSION STREQUAL "6")
+        set(_name KDevelopPGQt)
+    else()
+        set(_name KDevelop-PG-Qt)
+    endif()
+    find_package(${_name})
     find_package(KDevPlatform ${KDEV_MIN_VERSION} COMPONENTS ${KDEV_COMPONENTS})
 endif()
 if(KDEVPGQT_FOUND AND KDEVPLATFORM_FOUND)
@@ -130,13 +149,13 @@
     set(BUILD_PHP_IMPORT 0)
 endif()
 
-set(UMBRELLO_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/umbrello${APP_SUFFIX})
+set(UMBRELLO_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/umbrello${APP_SUFFIX})
 
 ki18n_install(po)
 kdoctools_install(po)
 
 if(POLICY CMP0071)
-  cmake_policy(SET CMP0071 OLD)
+  cmake_policy(SET CMP0071 NEW)
 endif()
 
 # use some compile flags
@@ -161,11 +180,9 @@
         endif()
     endif()
 endif()
-set(APPLICATIONS_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 message(STATUS "Using umbrello version ${UMBRELLO_VERSION_STRING}")
 add_definitions(-DUMBRELLO_VERSION_STRING="${UMBRELLO_VERSION_STRING}")
-add_definitions(-DAPPLICATIONS_VERSION_STRING="${APPLICATIONS_VERSION_STRING}")
 
 message(STATUS "Using cmake version ${CMAKE_VERSION}")
 
@@ -226,7 +243,7 @@
 find_package(Doxygen OPTIONAL_COMPONENTS dot)
 if(DOXYGEN_FOUND AND BUILD_APIDOC)
     message(STATUS "found doxygen package")
-    find_program(QHELPGENERATOR_EXECUTABLE NAMES qhelpgenerator qhelpgenerator-qt5)
+    find_program(QHELPGENERATOR_EXECUTABLE NAMES qhelpgenerator qhelpgenerator-qt${QT_MAJOR_VERSION})
     message(STATUS "found qhelpgenerator ${QHELPGENERATOR_EXECUTABLE}")
     set(DOXYGEN_ABBREVIATE_BRIEF "The $name class" "The $name widget")
     set(DOXYGEN_CALL_GRAPH YES)
