=== debian/changelog ===
umbrello (4:25.08.3+p24.04+vunstable+git20251204.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:22:33 +0000

umbrello (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:50 +1000
