## umbrello 25.08.3-0zneon+24.04+noble+release+build33trisquel1

=== debian/changelog ===
umbrello (4:25.08.3-0zneon+24.04+noble+release+build33trisquel1) ecne-backports; urgency=medium

  * Backport latest release from kde neon archive.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 10 Nov 2025 12:50:11 +0000

umbrello (4:25.08.3-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:13:02 +0000
